<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'shopping',

    /*
     * Package.
     */
    'package'   => 'inquiry',

    /*
     * Modules.
     */
    'modules'   => ['inquiry'],

    
    'inquiry'       => [
        'model' => [
            'model'                 => \Shopping\Inquiry\Models\Inquiry::class,
            'table'                 => 'inquiries',
            'presenter'             => \Shopping\Inquiry\Repositories\Presenter\InquiryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'client_id',  'seller_id',  'product_id',  'status',  'quantity',  'unit',  'subject',  'payment_term',  'shipping_term',  'destination_port',  'seller_details',  'details',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'inquiry/inquiry',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Inquiry',
            'module'    => 'Inquiry',
        ],

    ],
];
