<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateInquiriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: inquiries
         */
        Schema::create('inquiries', function ($table) {
            $table->increments('id');
            $table->integer('client_id')->nullable();
            $table->integer('seller_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->enum('status', ['pending','approved'])->nullable();
            $table->string('quantity', 30)->nullable();
            $table->string('unit', 30)->nullable();
            $table->string('subject', 255)->nullable();
            $table->string('payment_term', 100)->nullable();
            $table->string('shipping_term', 30)->nullable();
            $table->string('destination_port', 100)->nullable();
            $table->longText('seller_details')->nullable();
            $table->text('details')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('inquiries');
    }
}
