Lavalite package that provides inquiry management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `shopping/inquiry`.

    "shopping/inquiry": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Shopping\Inquiry\Providers\InquiryServiceProvider::class,

And also add it to alias

    'Inquiry'  => Shopping\Inquiry\Facades\Inquiry::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Shopping\\InquiryTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Shopping\Inquiry\Providers\InquiryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Shopping\Inquiry\Providers\InquiryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Shopping\Inquiry\Providers\InquiryServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/inquiry/{modulename}

**User**

    http://path-to-route-folder/user/inquiry/{modulename}

**Public**

    http://path-to-route-folder/inquiries


### API endpoints

**List**

    http://path-to-route-folder/api/user/inquiry/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/inquiry/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/inquiry/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/inquiry/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/inquiry/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/inquiry/{modulename}/{slug}
    METHOD: GET