<?php

namespace Shopping\Inquiry\Forms;

class Inquiry
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'client_id' => [
                    "type" => 'numeric',
                    "label" => trans('inquiry::inquiry.label.client_id'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.client_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'seller_id' => [
                    "type" => 'numeric',
                    "label" => trans('inquiry::inquiry.label.seller_id'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.seller_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'product_id' => [
                    "type" => 'numeric',
                    "label" => trans('inquiry::inquiry.label.product_id'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.product_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'quantity' => [
                    "type" => 'text',
                    "label" => trans('inquiry::inquiry.label.quantity'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.quantity'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unit' => [
                    "type" => 'text',
                    "label" => trans('inquiry::inquiry.label.unit'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.unit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'subject' => [
                    "type" => 'text',
                    "label" => trans('inquiry::inquiry.label.subject'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.subject'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payment_term' => [
                    "type" => 'text',
                    "label" => trans('inquiry::inquiry.label.payment_term'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.payment_term'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'shipping_term' => [
                    "type" => 'text',
                    "label" => trans('inquiry::inquiry.label.shipping_term'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.shipping_term'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'destination_port' => [
                    "type" => 'text',
                    "label" => trans('inquiry::inquiry.label.destination_port'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.destination_port'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'seller_details' => [
                    "type" => 'html_editor',
                    "label" => trans('inquiry::inquiry.label.seller_details'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.seller_details'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'details' => [
                    "type" => 'text',
                    "label" => trans('inquiry::inquiry.label.details'),
                    "placeholder" => trans('inquiry::inquiry.placeholder.details'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
