<?php

namespace Shopping\Inquiry;

use User;

class Inquiry
{
    /**
     * $inquiry object.
     */
    protected $inquiry;

    /**
     * Constructor.
     */
    public function __construct(\Shopping\Inquiry\Interfaces\InquiryRepositoryInterface $inquiry)
    {
        $this->inquiry = $inquiry;
    }

    /**
     * Returns count of inquiry.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.inquiry.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->inquiry->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\InquiryUserCriteria());
        }

        $inquiry = $this->inquiry->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('inquiry::' . $view, compact('inquiry'))->render();
    }
}
