<?php

namespace Shopping\Inquiry\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InquiryTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Inquiry\Models\Inquiry $inquiry)
    {
        return [
            'id'                => $inquiry->getRouteKey(),
            'key'               => [
                'public'    => $inquiry->getPublicKey(),
                'route'     => $inquiry->getRouteKey(),
            ], 
            'client_id'         => $inquiry->client_id,
            'seller_id'         => $inquiry->seller_id,
            'product_id'        => $inquiry->product_id,
            'quantity'          => $inquiry->quantity,
            'unit'              => $inquiry->unit,
            'subject'           => $inquiry->subject,
            'payment_term'      => $inquiry->payment_term,
            'shipping_term'     => $inquiry->shipping_term,
            'destination_port'  => $inquiry->destination_port,
            'seller_details'    => $inquiry->seller_details,
            'details'           => $inquiry->details,
            'deleted_at'        => $inquiry->deleted_at,
            'url'               => [
                'public'    => trans_url('inquiry/'.$inquiry->getPublicKey()),
                'user'      => guard_url('inquiry/inquiry/'.$inquiry->getRouteKey()),
            ], 
            'status'            => trans('app.'.$inquiry->status),
            'created_at'        => format_date($inquiry->created_at),
            'updated_at'        => format_date($inquiry->updated_at),
        ];
    }
}